3 Replies Latest reply on Aug 10, 2010 11:55 AM by TejasJani123

    flex 4 migration: how to resolve css warnings

    TejasJani123

      Hi,

       

      we are trying to migrate a our flex app to flex 4, and while compiling the app, we are seeing a lot of the following warnings. I was wondering how to resolve these warnings. We are not using flex 3 compatibility flag but are using Halo as the default theme via the compiler argument -theme=${flexlib}/themes/Halo/halo.swc.

       

      It seems that the warnings are coming from css packaged in datavisualization.swc and halo.swc

       

      Thanks in advance

       

      ---------------------------------------------------------------------------

           [java] C:\svn-work\flex4p3\ui\lib\flex\frameworks\libs\datavisualization.swc$defaults.css(22): Warning: Cannot resolve namespace qualified type 'AdvancedDataGrid' in

      CSS selector 'AdvancedDataGrid'

           [java]

           [java]

           [java]

           [java] C:\svn-work\flex4p3\ui\lib\flex\frameworks\libs\datavisualization.swc$defaults.css(56): Warning: Cannot resolve namespace qualified type 'AdvancedDataGridItem

      Renderer' in CSS selector 'AdvancedDataGridItemRenderer'

           [java]

           [java]

           [java]

           [java] C:\svn-work\flex4p3\ui\lib\flex\frameworks\libs\datavisualization.swc$defaults.css(66): Warning: Cannot resolve namespace qualified type 'AdvancedDataGridSort

      ItemRenderer' in CSS selector 'AdvancedDataGridSortItemRenderer'

           [java]

           [java]

           [java]

           [java] C:\svn-work\flex4p3\ui\lib\flex\frameworks\libs\datavisualization.swc$defaults.css(83): Warning: Cannot resolve namespace qualified type 'AdvancedDataGridHead

      erRenderer' in CSS selector 'AdvancedDataGridHeaderRenderer'

           [java]

           [java]

           [java]

           [java] C:\svn-work\flex4p3\ui\lib\flex\frameworks\libs\datavisualization.swc$defaults.css(115): Warning: Cannot resolve namespace qualified type 'AdvancedListBase' i

      n CSS selector 'AdvancedListBase'

           [java]

           [java]

           [java]

           [java] C:\svn-work\flex4p3\ui\lib\flex\frameworks\libs\datavisualization.swc$defaults.css(131): Warning: Cannot resolve namespace qualified type 'LegendItem' in CSS

      selector 'LegendItem'

           [java]

           [java]

           [java]

           [java] C:\svn-work\flex4p3\ui\lib\flex\frameworks\libs\datavisualization.swc$defaults.css(144): Warning: Cannot resolve namespace qualified type 'PrintAdvancedDataGr

      id' in CSS selector 'PrintAdvancedDataGrid'

           [java]

           [java]

           [java]

           [java] C:\svn-work\flex4p3\ui\lib\flex\frameworks\libs\datavisualization.swc$defaults.css(164): Warning: Cannot resolve namespace qualified type 'PrintOLAPDataGrid'

      in CSS selector 'PrintOLAPDataGrid'

           [java]

           [java]

           [java]

           [java] C:\svn-work\flex4p3\ui\lib\flex\frameworks\themes\Halo\halo.swc$defaults.css(911): Warning: Cannot resolve namespace qualified type 'HTML' in CSS selector 'HT

      ML'

           [java]

           [java]

           [java]

           [java] C:\svn-work\flex4p3\ui\lib\flex\frameworks\themes\Halo\halo.swc$defaults.css(1797): Warning: Cannot resolve namespace qualified type 'Window' in CSS selector

      'Window'

           [java]

           [java]

           [java]

           [java] C:\svn-work\flex4p3\ui\lib\flex\frameworks\themes\Halo\halo.swc$defaults.css(1808): Warning: Cannot resolve namespace qualified type 'WindowedApplication' in

      CSS selector 'WindowedApplication'